apt 3.2.0 commandline package manager

Public Attributes | List of all members
pkgCache::DependencyData Struct Reference

information for a single dependency record More...

`#include <apt-pkg/pkgcache.h>`

## Public Attributes
map_stringitem_t | Version
| string of the version the dependency is applied against
map_pointer< pkgCache::Package > | Package
| index of the package this depends applies to
map_number_t | Type
| Dependency type - Depends, Recommends, Conflicts, etc.
map_flags_t | CompareOp
| comparison operator specified on the depends line
map_pointer< DependencyData > | NextData

## Detailed Description

information for a single dependency record

The records are split up like this to ease processing by the client. The base of the linked list is pkgCache::Version::DependsList. All forms of dependencies are recorded here including Depends, Recommends, Suggests, Enhances, Conflicts, Replaces and Breaks.

## Member Data Documentation

## ◆ CompareOp

map_flags_t CompareOp

comparison operator specified on the depends line

If the high bit is set then it is a logical OR with the previous record.

## ◆ Package

map_pointer<pkgCache::Package> Package

index of the package this depends applies to

The generator will - if the package does not already exist - create a blank (no version records) package.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h